org.eclipse.incquery.runtime.matchers.psystem.basicdeferred

## Class NegativePatternCall

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.incquery.runtime.matchers.psystem.DeferredPConstraint
    - - org.eclipse.incquery.runtime.matchers.psystem.VariableDeferredPConstraint
      - - org.eclipse.incquery.runtime.matchers.psystem.basicdeferred.PatternCallBasedDeferred
        - - org.eclipse.incquery.runtime.matchers.psystem.basicdeferred.NegativePatternCall

- All Implemented Interfaces:
    IQueryReference, PConstraint

      public class NegativePatternCall
      extends PatternCallBasedDeferred

  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NegativePatternCall(PBody pBody, Tuple actualParametersTuple, PQuery query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<PVariable>` | `getDeducedVariables()` The set of variables whose potential values can be enumerated (once all non-deduced variables have known values).

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.basicdeferred.PatternCallBasedDeferred

      `checkSanity, getActualParametersTuple, getDeferringVariables, getReferredQuery`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.VariableDeferredPConstraint

      `isReadyAt`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint

      `delete, getAffectedVariables, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NegativePatternCall

          public NegativePatternCall(PBody pBody,
                                     Tuple actualParametersTuple,
                                     PQuery query)

  - ### Method Detail

    - #### getDeducedVariables

          public java.util.Set<PVariable> getDeducedVariables()

      Description copied from interface: `PConstraint`
      The set of variables whose potential values can be enumerated (once all non-deduced variables have known values).